1. 17 May, 2019 2 commits
  2. 10 Oct, 2018 1 commit
  3. 04 Oct, 2018 1 commit
    • Rik Mills's avatar
      allow building with packagekit-qt >= 1.0.0 · 1895a886
      Rik Mills authored
      Summary:
      Currently fails to recognise packagekit-qt >= 1.0.0 with the message:
      Could not find a configuration file for package "PackageKitQt5" that is compatible with requested version "0.9.5"
      This results in the 'share' tab of Dolphin's folder properties simply
      stating that samba is not installed, with the button which offers to
      install this via packagekit not being present.
      Currently known to affect at lease Kubuntu 18.04, 18.10, and Neon 18.04
      packagekit-qt 0.9.5 dates from 2014, so regardless of more complicated
      solutions, the version requirement can be dropped here.
      
      BUG: 390599
      
      Test Plan:
      - Apply patch to Kubuntu CI builds of 18.08 branch.
      - Apply patch to eariler releases for potential bugfix in Kubuntu
      - Confirm that the button to install samba appears, installs samba,
        and that the samba sharing config options for the folder then appear.
      
      Reviewers: cfeck, ngraham
      
      Reviewed By: ngraham
      
      Differential Revision: https://phabricator.kde.org/D15874
      1895a886
  4. 02 Jul, 2018 1 commit
  5. 11 Jun, 2017 1 commit
  6. 02 Jan, 2017 1 commit
  7. 20 Dec, 2016 1 commit
  8. 23 Sep, 2016 4 commits
  9. 09 Sep, 2016 1 commit
  10. 09 Jun, 2016 1 commit
    • Pino Toscano's avatar
      Sync smbd detection with kio · fb48a2e9
      Pino Toscano authored
      Copy the helper KSambaSharePrivate::isSambaInstalled() from kio, so
      this file properties plugin has the same logic as the KSambaShare code
      used.
      fb48a2e9
  11. 30 Dec, 2015 1 commit
  12. 16 Oct, 2015 1 commit
  13. 15 Oct, 2015 1 commit
  14. 14 Oct, 2015 5 commits
  15. 05 Oct, 2015 18 commits